paex_record.c File Reference
Example programs demonstrating PortAudio usage

Record input into an array; Save array to a file; Playback recorded data. More...

`#include <stdio.h>`
`#include <stdlib.h>`
`#include "portaudio.h"`

Go to the source code of this file.

## Data Structures

struct | paTestData

## Macros

#define | SAMPLE_RATE (44100)
#define | FRAMES_PER_BUFFER (512)
#define | NUM_SECONDS (5)
#define | NUM_CHANNELS (2)
#define | DITHER_FLAG (0)
#define | WRITE_TO_FILE (0)
#define | PA_SAMPLE_TYPE paFloat32
#define | SAMPLE_SILENCE (0.0f)
#define | PRINTF_S_FORMAT "%.8f"

## Typedefs

typedef float | SAMPLE

## Functions

int | main (void)

## Detailed Description

Record input into an array; Save array to a file; Playback recorded data.

Author
  Phil Burk http://www.softsynth.com

Definition in file paex_record.c.

## Macro Definition Documentation

## DITHER_FLAG

#define DITHER_FLAG (0)

Definition at line 54 of file paex_record.c.

## FRAMES_PER_BUFFER

#define FRAMES_PER_BUFFER (512)

Definition at line 50 of file paex_record.c.

## NUM_CHANNELS

#define NUM_CHANNELS (2)

Definition at line 52 of file paex_record.c.

## NUM_SECONDS

#define NUM_SECONDS (5)

Definition at line 51 of file paex_record.c.

## PA_SAMPLE_TYPE

#define PA_SAMPLE_TYPE paFloat32

Definition at line 60 of file paex_record.c.

## PRINTF_S_FORMAT

#define PRINTF_S_FORMAT "%.8f"

Definition at line 63 of file paex_record.c.

## SAMPLE_RATE

#define SAMPLE_RATE (44100)

Definition at line 49 of file paex_record.c.

## SAMPLE_SILENCE

#define SAMPLE_SILENCE (0.0f)

Definition at line 62 of file paex_record.c.

## WRITE_TO_FILE

#define WRITE_TO_FILE (0)

Set to 1 if you want to capture the recording to a file.

Definition at line 56 of file paex_record.c.

## Typedef Documentation

## SAMPLE

typedef float SAMPLE

Definition at line 61 of file paex_record.c.

## Function Documentation

## main()

int main | ( | void |  | ) |

Definition at line 196 of file paex_record.c.